package genesom;


public class WeightsDeltaFunction
  extends SOMDecayFunction
{
  public WeightsDeltaFunction() { }

  public WeightsDeltaFunction(double from, double to) {
    super(from,to);
  }

  public WeightsDeltaFunction(double from, double to, double eta) {
    super(from, to, eta);
  }


  // set methods 2b called by property intitialization

  public void setDelta_from(double d) { from = d; }
  public double getDelta_from() { return from; }

  public void setDelta_to(double d) { to = d; }
  public double getDelta_to() { return to; }

  public void setDelta_eta(double d) { eta = d; }
  public double getDelta_eta() { return eta; }

  public void setDelta_decay_model(String dm) { setDecayModel(dm); }
}
